<?php

include "../admin/adminses.php";
include "../engine/functions.php";
$sitetitle="Редакция категорий";

@$updateornot = $_POST["Submit"];
@$content = $_POST["article"];

if (empty($updateornot)) {
 				$myFile="../engine/cat_pages.php";

				$fh = fopen($myFile, 'r');
				$data = fread($fh, filesize($myFile));
				fclose($fh);
				
$url=$_SERVER['PHP_SELF'];			 
@$contentcenter .=<<<EOT
<form action="$url" method="post" name="my_form">
<h3>Редакция категорий:</h3>Каждая строка - это есть категория, с названием( до [n]), и ссылкой для сайта (после[n]).<br />
Удаляя одну из строк, Вы удаляете категорию из меню категорий, которое вы видите при добавлении страниц, не забудьте удалить также и начальную страницу удалямой категории.<br />
Вы можете поменять их расположение (вверх-вниз).<br />
<b><font color=red>Внимание</font>: категорию можно создать при создании простой страницы, указав при добавлении, что страница является отдельной категорией!</b><br /><br />
<div id="sample">
<textarea name="article" id="catpages" cols=65 rows=10>$data</textarea> </div><div><br /> 
<br />
<input type="submit" class="submit-button" id="Submit" name="Submit" value="Изменить меню" /><br />
</form>
EOT;
$contentcenter = stripslashes($contentcenter);
}else{
$myFile = "../engine/cat_pages.php";

unlink($myFile);
	@chmod("../engine/menu.php", 0777);
	$ourFileName = "../engine/cat_pages.php";
	$ourFileHandle = fopen($ourFileName, 'w') or die("can't open file");
	fclose($ourFileHandle);
	
@$somecontent .= $content;

$filename=$ourFileName;
if (is_writable($filename)) {

	 $somecontent=stripslashes($somecontent);
   if (!$handle = fopen($filename, 'a')) {
         echo "Невозможно открыть ($filename)";
         exit;
   }

   if (fwrite($handle, $somecontent) === FALSE) {
       echo "Невозможна запись в ($filename)";
       exit;
   }
  
   fclose($handle);
    @chmod("../engine/cat_pages.php", 0604);
    @$contentcenter .=  "<h3>Категории изменены!</h3>";
include "admintemplate.php";
exit();
}

} 

include "../admin/admintemplate.php";

?>
